Refactor RevisionSlider Browsertests
Closed, ResolvedPublic

Description

Currently there are some bad habits in how the scenarios are constructed.

  1. We are not following the Given-When-Then rule by adding more Given-steps after some Then-step. We should consider splitting these scenarios into several.
  2. Given-steps should only be used for setting something up for a test; for simulating user-actions we should use When-steps instead.

From https://github.com/cucumber/cucumber/wiki/Given-When-Then:

  • The purpose of givens is to put the system in a known state before the user starts interacting with the system.
  • The purpose of When steps is to describe the key action the user performs.
  • The purpose of Then steps is to observe outcomes.
Restricted Application added a project: TCB-Team. · View Herald TranscriptSep 21 2016, 12:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Sep 22 2016, 9:58 AM
Tobi_WMDE_SW moved this task from Todo to Doing on the WMDE-QWERTY-Team-Experimental-Sprint board.
Tobi_WMDE_SW claimed this task.

Change 314687 had a related patch set uploaded (by Tobias Gritschacher):
Refactor autoexpand browsertests

https://gerrit.wikimedia.org/r/314687

Tobi_WMDE_SW edited the task description. (Show Details)Oct 7 2016, 1:33 PM

Change 314692 had a related patch set uploaded (by Tobias Gritschacher):
Refactor expand browsertests

https://gerrit.wikimedia.org/r/314692

Change 314687 merged by jenkins-bot:
Refactor autoexpand browsertests

https://gerrit.wikimedia.org/r/314687

Change 314692 merged by jenkins-bot:
Refactor expand browsertests

https://gerrit.wikimedia.org/r/314692

Change 314696 had a related patch set uploaded (by Tobias Gritschacher):
Refactor help browsertest

https://gerrit.wikimedia.org/r/314696

Change 315094 had a related patch set uploaded (by Tobias Gritschacher):
Always apply data-pos attribute to pointers as well

https://gerrit.wikimedia.org/r/315094

Change 314696 merged by jenkins-bot:
Refactor help browsertest

https://gerrit.wikimedia.org/r/314696

Change 315094 merged by jenkins-bot:
Always apply data-pos attribute to pointers as well

https://gerrit.wikimedia.org/r/315094

Change 314706 had a related patch set uploaded (by Tobias Gritschacher):
Refactor history and pointers browsertests

https://gerrit.wikimedia.org/r/314706

Change 314706 merged by jenkins-bot:
Refactor history and pointers browsertests

https://gerrit.wikimedia.org/r/314706

Change 315476 had a related patch set uploaded (by Tobias Gritschacher):
[WIP] Refactor timeline browsertests

https://gerrit.wikimedia.org/r/315476

Change 315483 had a related patch set uploaded (by Tobias Gritschacher):
Remove obsolete step

https://gerrit.wikimedia.org/r/315483

Change 315483 merged by jenkins-bot:
Remove obsolete step

https://gerrit.wikimedia.org/r/315483

Change 315509 had a related patch set uploaded (by Tobias Gritschacher):
Refactor tooltips browsertests

https://gerrit.wikimedia.org/r/315509

Change 315509 merged by jenkins-bot:
Refactor tooltips browsertests

https://gerrit.wikimedia.org/r/315509

Change 315476 merged by jenkins-bot:
Refactor timeline browsertests

https://gerrit.wikimedia.org/r/315476

Tobi_WMDE_SW moved this task from Backlog to Done on the Revision-Slider board.Oct 18 2016, 10:41 AM
Addshore closed this task as "Resolved".Oct 20 2016, 9:22 AM
Tobi_WMDE_SW moved this task from Doing to Done on the User-Tobi_WMDE_SW board.Nov 15 2016, 10:59 AM